// -------------------------------------------->>
// classicSnake
//
// Developed by: Alexandre Martins (@leX)
//  2003
// www.gamingbrasil.net
// =============================
// classicSnake.h
// Main header file
// -------------------------------------------->>

#ifndef CLASSICSNAKE_H
#define CLASSICSNAKE_H



// -------------->>
// Headers
// -------------->>
#include <allegro.h>
#include <stdio.h>
#include <stdlib.h>
#include <string>
using namespace std;

#include "game.h"
#include "stage.h"
#include "snake.h"
#include "food.h"



// ------------->>
// Constants
// ------------->>
#define VERSION                "1.0"



// ---------------->>
// Timer related
// ---------------->>
extern volatile int timer;
void addToTimer();


// ------------->>
// Globals
// ------------->>
extern _game game;
extern _stage stage;
extern _snake snake;
extern _food food;



#endif
