// -------------------------------------------->>
// classicSnake
//
// Developed by: Alexandre Martins (@leX)
//  2003
// www.gamingbrasil.net
// =============================
// food.h
// Object "food" - header file
// -------------------------------------------->>

#ifndef FOOD_H
#define FOOD_H


// ------------------>>
// Constants
// ------------------>>
#define FOOD_WIDTH     10
#define FOOD_HEIGHT    10



// -------------->>
// class _food
// -------------->>
class _food{

    public:
    
    int x,y;       // position
    BITMAP *bmp;   // bitmap
    SAMPLE *eat;   // eat sample
    
    void init();     // initializes _food
    void destroy();  // destroys _food
    void changePosition();  // changes food position
    bool hitTest(int bx, int by);  // checks for collision
    void draw();     // drawing functions

};


#endif
